# OpalRTPMediaStream Class Reference

`#include <mediastrm.h>`

Inheritance diagram for OpalRTPMediaStream:

List of all members.

## Public Member Functions

Overrides of OpalMediaStream class
virtual PBoolean | Open ()
virtual PBoolean | Close ()
virtual PBoolean | ReadPacket (RTP_DataFrame &packet)
virtual PBoolean | WritePacket (RTP_DataFrame &packet)
virtual PBoolean | SetDataSize (PINDEX dataSize)
virtual PBoolean | IsSynchronous () const
virtual void | EnableJitterBuffer () const
virtual RTP_Session & | GetRtpSession () const

## Protected Attributes

RTP_Session & | rtpSession
unsigned | minAudioJitterDelay
unsigned | maxAudioJitterDelay

## Detailed Description

This class describes a media stream that transfers data to/from a RTP session.

## Constructor & Destructor Documentation

OpalRTPMediaStream::OpalRTPMediaStream | ( | OpalRTPConnection & | conn,
|  | const OpalMediaFormat & | mediaFormat,
|  | bool | isSource,
|  | RTP_Session & | rtpSession,
|  | unsigned | minAudioJitterDelay,
|  | unsigned | maxAudioJitterDelay |
| ) |  |  |

Construct a new media stream for RTP sessions. This will add a reference to the rtpSession passed in.

Parameters:

  mediaFormat | Media format for stream
  isSource | Is a source stream
  rtpSession | RTP session to stream to/from
  minAudioJitterDelay | Minimum jitter buffer size (if applicable)
  maxAudioJitterDelay | Maximum jitter buffer size (if applicable)

OpalRTPMediaStream::~OpalRTPMediaStream | ( |  | ) |

Destroy the media stream for RTP sessions. This will release the reference to the rtpSession passed into the constructor.

OpalRTPMediaStream::OpalRTPMediaStream | ( | OpalRTPConnection & | conn,
|  | const OpalMediaFormat & | mediaFormat,
|  | bool | isSource,
|  | RTP_Session & | rtpSession,
|  | unsigned | minAudioJitterDelay,
|  | unsigned | maxAudioJitterDelay |
| ) |  |  |

Construct a new media stream for RTP sessions. This will add a reference to the rtpSession passed in.

Parameters:

  mediaFormat | Media format for stream
  isSource | Is a source stream
  rtpSession | RTP session to stream to/from
  minAudioJitterDelay | Minimum jitter buffer size (if applicable)
  maxAudioJitterDelay | Maximum jitter buffer size (if applicable)

OpalRTPMediaStream::~OpalRTPMediaStream | ( |  | ) |

Destroy the media stream for RTP sessions. This will release the reference to the rtpSession passed into the constructor.

## Member Function Documentation

virtual PBoolean OpalRTPMediaStream::Open | ( |  | ) | `[virtual]`

Open the media stream using the media format.

The default behaviour simply sets the isOpen variable to true.

Reimplemented from OpalMediaStream.

virtual PBoolean OpalRTPMediaStream::Close | ( |  | ) | `[virtual]`

Close the media stream.

The default does nothing.

Reimplemented from OpalMediaStream.

virtual PBoolean OpalRTPMediaStream::ReadPacket | ( | RTP_DataFrame & | packet | ) | `[virtual]`

Read an RTP frame of data from the source media stream. The new behaviour simply calls RTP_Session::ReadData().

Reimplemented from OpalMediaStream.

virtual PBoolean OpalRTPMediaStream::WritePacket | ( | RTP_DataFrame & | packet | ) | `[virtual]`

Write an RTP frame of data to the sink media stream. The new behaviour simply calls RTP_Session::WriteData().

Reimplemented from OpalMediaStream.

virtual PBoolean OpalRTPMediaStream::SetDataSize | ( | PINDEX | dataSize | ) | `[virtual]`

Set the data size in bytes that is expected to be used.

Parameters:

  dataSize | New data size

Reimplemented from OpalMediaStream.

virtual PBoolean OpalRTPMediaStream::IsSynchronous | ( |  | ) | const`[virtual]`

Indicate if the media stream is synchronous. Returns false for RTP streams.

Implements OpalMediaStream.

virtual void OpalRTPMediaStream::EnableJitterBuffer | ( |  | ) | const`[virtual]`

Enable jitter buffer for the media stream.

The default behaviour does nothing.

Reimplemented from OpalMediaStream.

virtual RTP_Session& OpalRTPMediaStream::GetRtpSession | ( |  | ) | const`[inline, virtual]`

Return current RTP session

## Member Data Documentation

RTP_Session& OpalRTPMediaStream::rtpSession `[protected]`

unsigned OpalRTPMediaStream::minAudioJitterDelay `[protected]`

unsigned OpalRTPMediaStream::maxAudioJitterDelay `[protected]`

The documentation for this class was generated from the following file:

- mediastrm.h